---
- name: OS dependent installation of Zabbix
  ansible.builtin.include_tasks:
    file: "{{ ansible_os_family | lower }}.yml"

- name: Configure Zabbix proxy
  ansible.builtin.template:
    src: zabbix_proxy.conf
    dest: /etc/zabbix/zabbix_proxy.conf
    owner: root
    group: zabbix
    mode: "0640"
  notify: Restart Zabbix proxy

- name: Deploy TLS key for upstream connection
  ansible.builtin.copy:
    dest: /etc/zabbox/zabbix_proxy.psk
    content: "{{ zabbix_proxy_tlspsk_identity }}"
    owner: zabbix
    group: zabbix
    mode: "0600"
  notify: Restart Zabbix proxy

- name: Enable proxy service
  ansible.builtin.service:
    name: zabbix-proxy
    enabled: true
    state: started
